module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module CustomMetadataSets

      # Fetches all custom metadata sets
      #
      #
      # @return [Array<StrawberryAPI::CustomMetadataSet>] A list of custom metadata sets
      # 
      def custom_metadata_sets
        get("/custom_metadata_sets").parse['array']&.map do |set|
          CustomMetadataSet.new(set)
        end
      end
      
    end
  end
end