module StrawberryAPI
  
  class CustomMetadataSet

    attr_accessor :id
    attr_accessor :name
    attr_accessor :root
    attr_accessor :created_at
    attr_accessor :updated_at
    attr_accessor :custom_metadata_fields
    
    def initialize(params = {})
      params.each do |k, v|
        if k == 'custom_metadata_fields'
          v.map! do |custom_metadata_field|
            CustomMetadataField.new(custom_metadata_field)
          end
        end

        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end
    
  end
end
