module StrawberryAPI
  
  class Library

    attr_accessor :id
    attr_accessor :project_id
    attr_accessor :ingest_path
    attr_accessor :ingest_storage
    attr_accessor :options
    attr_accessor :ingest_path_exists
    
    def initialize(params = {})
      params.each do |k, v|
        instance_variable_set("@#{k.gsub(/[!@#$%^&*?']/, '')}", v) unless v.nil?
      end
    end

  end
end
