module StrawberryAPI
  
  class Marker

    attr_accessor :id
    attr_accessor :asset_id
    attr_accessor :text
    attr_accessor :created_by
    attr_accessor :in
    attr_accessor :out
    attr_accessor :created_at
    attr_accessor :updated_at
    attr_accessor :guid
    
    def initialize(params = {})
      params.each do |k, v|
        instance_variable_set("@#{k.gsub(/[!@#$%^&*?']/, '')}", v) unless v.nil?
      end
    end
    
  end
end
