module StrawberryAPI
  
  class Team

    attr_accessor :id
    attr_accessor :name
    attr_accessor :created_at
    attr_accessor :updated_at
    attr_accessor :quota_mail_sent
    attr_accessor :quota
    attr_accessor :space_used
    attr_accessor :users
    
    def initialize(params = {})
      params.each do |k, v|
        if k == 'users'
          v.map! do |user|
            User.new(user)
          end
        end
        
        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end
    
  end
end
