module StrawberryAPI
  
  class User

    attr_accessor :id
    attr_accessor :username
    attr_accessor :authentication_token
    attr_accessor :created_at
    attr_accessor :updated_at
    attr_accessor :firstname
    attr_accessor :lastname
    attr_accessor :own_team_id
    attr_accessor :role_id
    attr_accessor :role
    attr_accessor :teams
    
    def initialize(params = {})
      params.each do |k, v|
        if k == 'teams'
          v.map! do |team|
            Team.new(team)
          end
        end
        
        instance_variable_set("@#{k.gsub(/[!@#$%^&*?']/, '')}", v) unless v.nil?
      end
    end

  end
end
