module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module CustomMetadataOptions

      # Fetches all custom metadata options
      #
      #
      # @return [Array<StrawberryAPI::CustomMetadataOption>] A list of custom metadata options
      # 
      def custom_metadata_options
        get("/select_field_options").parse['selectfieldoption::activerecord_relation']&.map do |option|
          CustomMetadataOption.new(option)
        end
      end

    end
  end
end