module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Roles

      # Fetches all roles
      #
      #
      # @return [Array<StrawberryAPI::Role>] A list of roles
      # 
      def roles
        get("/roles").parse['array']&.map do |role|
          Role.new(role)
        end
      end

    end
  end
end