module StrawberryAPI
  class Client < StrawberryAPI::HttpClient
    module Sessions

      # Determines whether the session is valid
      #
      #
      # @return [Boolean] Success
      # 
      def logged_in?
        get("/session").success?
      end

      # Closes the current session
      #
      #
      # @return [Boolean] Success
      # 
      def logout
        delete('/session').success?
      end

      # Fetches the current user information
      #
      #
      # @return [StrawberryAPI::User] The fetched user
      # 
      def session_info
        data = get('/session')
      end
    end
  end
end