module StrawberryAPI
  
  class CustomMetadataOption

    attr_accessor :id
    attr_accessor :name
    attr_accessor :custom_metadata_field_id
    attr_accessor :custom_metadata_sub_set_id
    attr_accessor :safe_search
    
    def initialize(params = {})
      params.each do |k, v|
        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end

  end
end
