module StrawberryAPI
    
  class Feature

    attr_accessor :id
    attr_accessor :name
    attr_accessor :active
    attr_accessor :created_at
    attr_accessor :updated_at
    
    def initialize(params = {})
      params.each do |k, v|
        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end
    
  end
end