module StrawberryAPI
  
  class Strategy

    attr_accessor :id
    attr_accessor :name
    attr_accessor :destination
    attr_accessor :format
    attr_accessor :admin_only
    attr_accessor :enabled

    def initialize(params = {})
      params.each do |k, v|
        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end
  end
  
end
