module StrawberryAPI
  
  class ArchiveStrategyState

    attr_accessor :id
    attr_accessor :archive_strategy_id
    attr_accessor :user_id
    attr_accessor :project_id
    attr_accessor :direction
    attr_accessor :state
    attr_accessor :error
    attr_accessor :stage
    attr_accessor :progress
    attr_accessor :started_at
    attr_accessor :cancelled
    attr_accessor :exclude_linked_files

    def initialize(params = {})
      params.each do |k, v|
        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end

  end
end
