module StrawberryAPI
  
  class Template

    attr_accessor :id
    attr_accessor :name
    attr_accessor :created_at
    attr_accessor :updated_at
    attr_accessor :template_type
    attr_accessor :position
    attr_accessor :substitution_patterns
    
    def initialize(params = {})
      params.each do |k, v|
        instance_variable_set("@#{k}", v) unless v.nil?
      end
    end

  end
end
