dir = File.expand_path(File.join(File.dirname(__FILE__), '..', 'lib'))
require File.join(dir, 'strawberry_api')

# Logs in to Strawberry server
strawberry = StrawberryAPI::Client.new(host: 'server_IP_or_hostname', username: 'username', password: 'password')

# Gets all Strawberry assets
StrawberryAPI.assets.each do |asset|
  # Makes sure the asset is a video
  # We don't care about other media types, they are muggles
  if asset.video?
    puts "The asset #{asset.name} is linked to the following projects:"
    p asset.links
  end
end