dir = File.expand_path(File.join(File.dirname(__FILE__), '..', 'lib'))
require File.join(dir, 'strawberry_api')

# Configures API client
StrawberryAPI.configure do |c|
  c.host = 'server_IP_or_hostname'
  c.api_key = 'api_key'
end

# Instanciates a new client using the above config
strawberry = StrawberryAPI::Client.new

# Shows whether login was successful or not
if StrawberryAPI.logged_in?
  p 'Successfully logged in!'
else
  p 'Failed logging in...'
end
